Subject: Re: bug#35816: 26.2; set-frame-font cannot set some fonts which autocomplete suggests due to dashes in names. I.e. gnu-unifont

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 11 Aug 2021 22:04:37 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Thanks!  After an "apt install fonts-mikachan" I can now reproduce the
> problem on this Debian/bullseye system, too, and I'll try to see whether
> I can come up with a solution.

And I've now made font_parse_xlfd try harder to make sense of font names
like:

(set-frame-font "-Take-mikachan-puchi-normal-normal-normal-*-*-*-*-*-*-0-iso10646-1")

I've tried to be as backwards-compatible as possible -- only trying to
interpret this as a family name of "mikachan-puchi" is parsing it the
normal way fails.

So this should be fixed in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no